/*
 * The Hefei JingTong RDC(Research and Development Centre) Group.
 * __________________
 *
 *    Copyright 2015-2021
 *    All Rights Reserved.
 *
 *    NOTICE:  All information contained herein is, and remains
 *    the property of JingTong Company and its suppliers,
 *    if any.
 */

package com.jingtong.bpm.logic.listener;

import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.TaskListener;

import lombok.extern.slf4j.Slf4j;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
@Slf4j
public class ComplateTaskListener implements TaskListener {
    private static final long serialVersionUID = 5102408796560913909L;

    @Override
    public void notify(DelegateTask delegateTask) {
        /**
         * 节点任务完成，需要设置
         */
        log.info("最新的消息:{}", delegateTask);

    }
}
